OuterJoinableAssociation (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader
Class OuterJoinableAssociation

    java.lang.Object
      org.hibernate.loader.OuterJoinableAssociation

    public final class OuterJoinableAssociation

extends Object

Part of the Hibernate SQL rendering internals. This class represents a joinable association.

Constructor Summary
`OuterJoinableAssociation(PropertyPath propertyPath, AssociationType joinableType, String lhsAlias, String[] lhsColumns, String rhsAlias, JoinType joinType, String withClause, boolean hasRestriction, SessionFactoryImplementor factory, Map enabledFilters)`

Method Summary
`void` | `addJoins(JoinFragment outerjoin)`
`void` | `addManyToManyJoin(JoinFragment outerjoin, QueryableCollection collection)`
`static OuterJoinableAssociation` | `createRoot(AssociationType joinableType, String alias, SessionFactoryImplementor factory)`
`Joinable` | `getJoinable()`
`AssociationType` | `getJoinableType()`
`JoinType` | `getJoinType()`
`String` | `getLhsAlias()`
`int` | `getOwner(List associations)`
`PropertyPath` | `getPropertyPath()`
`String` | `getRhsAlias()`
`String` | `getRHSAlias()`
`String` | `getRHSUniqueKeyName()`
`boolean` | `hasRestriction()`
`boolean` | `isCollection()`
`boolean` | `isManyToManyWith(OuterJoinableAssociation other)`
`void` | `validateJoin(String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OuterJoinableAssociation

    public OuterJoinableAssociation(PropertyPath propertyPath,
                                    AssociationType joinableType,
                                    String lhsAlias,
                                    String[] lhsColumns,
                                    String rhsAlias,
                                    JoinType joinType,
                                    String withClause,
                                    boolean hasRestriction,
                                    SessionFactoryImplementor factory,
                                    Map enabledFilters)
                             throws MappingException

Throws:
  `MappingException`

Method Detail

### createRoot

    public static OuterJoinableAssociation createRoot(AssociationType joinableType,
                                                      String alias,
                                                      SessionFactoryImplementor factory)

### getPropertyPath

    public PropertyPath getPropertyPath()

### getJoinType

    public JoinType getJoinType()

### getLhsAlias

    public String getLhsAlias()

### getRHSAlias

    public String getRHSAlias()

### getRhsAlias

    public String getRhsAlias()

### getJoinableType

    public AssociationType getJoinableType()

### getRHSUniqueKeyName

    public String getRHSUniqueKeyName()

### isCollection

    public boolean isCollection()

### getJoinable

    public Joinable getJoinable()

### hasRestriction

    public boolean hasRestriction()

### getOwner

    public int getOwner(List associations)

### addJoins

    public void addJoins(JoinFragment outerjoin)
                  throws MappingException

  Throws:
    `MappingException`

### validateJoin

    public void validateJoin(String path)
                      throws MappingException

  Throws:
    `MappingException`

### isManyToManyWith

    public boolean isManyToManyWith(OuterJoinableAssociation other)

### addManyToManyJoin

    public void addManyToManyJoin(JoinFragment outerjoin,
                                  QueryableCollection collection)
                           throws MappingException

  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.